Mailinglist Archive: opensuse-buildservice (46 mails)

< Previous Next >
Re: [opensuse-buildservice] Debian Testing & Unstable: "unresolvable: have choice for libsystemd0 needed by libdbus-1-3: libelogind0 libsystemd0"
On Freitag, 17. Juli 2020, 01:58:56 CEST wrote Julio González Gil:
For RPM building using a `Prefer:` should work

I never tried with DEB packages, but the doc does not say anything about
restrictions related to the package type: https://openbuildservice.org/help/
manuals/obs-user-guide/cha.obs.prjconfig.html

So at the prjconf (the project configuration) you can add:

Prefer: libsystemd0

From what I see on a Docker container, libsystemd0 comes installed by
default,
so I'd bet this is the same case for even the most minimalistic Debian setup.

But it seems that when building on OBS, this package is not preinstalled, and
since both packages provide `libsystemd0`, you get the error message.

As personal recommendation: always add a coment ahead of the Prefer with the
choice message, so you can remember why you added it.

In the end something like:

# have choice for libsystemd0 needed by libdbus-1-3: libelogind0 libsystemd0
Prefer: libsystemd0

I have added a negative prefer

Prefer: -libelogind0

in the base distros. Should solve the issue as well.


Hope it helps.

On jueves, 16 de julio de 2020 23:43:40 (CEST) Spiro Trikaliotis wrote:
Hello,

I am packaging OpenCBM:
https://build.opensuse.org/package/show/home:strik/OpenCBM

I have a problem with the targets "Debian Testing" and "Debian stable".
These do not compile, because

"unresolvable: have choice for libsystemd0 needed by libdbus-1-3:
libelogind0 libsystemd0"

Having a look into the sources for libelogind0 on Debian, I see that it
also provided libsystemd0.

Now, how can I force the installation of one of them? I do not rely on
either them (at least, not directly, and not that I know of).

I tried to add "libsystemd0", then "systemd", then "libelogind0" as
build-depends, because I hoped it would force the one or the other
solution. However, this problem persists.

Does anyone have an idea what is going on? I assume it has to do with my
build-depends, because my other projects cc65 and xa65 do not exhibit
this problem with the same targets.

I am out of ideas here.

Regards
Spiro.





--

Adrian Schroeter
email: adrian@xxxxxxx

SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284
(AG Nürnberg)

Maxfeldstraße 5
90409 Nürnberg
Germany




--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups